net.posprinter.asynncTask

## Class PosAsynncTask

- java.lang.Object
- - android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Boolean>
  - - net.posprinter.asynncTask.PosAsynncTask

-     public class PosAsynncTask
      extends android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Boolean>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `android.os.AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PosAsynncTask(TaskCallback callback, BackgroundInit init)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Boolean` | `doInBackground(java.lang.Void... params)`
    `protected void` | `onPostExecute(java.lang.Boolean result)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PosAsynncTask

          public PosAsynncTask(TaskCallback callback,
                               BackgroundInit init)

  - ### Method Detail

    - #### doInBackground

          protected java.lang.Boolean doInBackground(java.lang.Void... params)

      Specified by:
        `doInBackground` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Boolean>`

    - #### onPostExecute

          protected void onPostExecute(java.lang.Boolean result)

      Overrides:
        `onPostExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Boolean>`